---
title: Xamarin.Android warning IL6200
description: IL6200 warning code
ms.date: 11/1/2021
---
# Xamarin.Android warning IL6200

## Example messages

```
Use of AppDomain.CreateDomain() detected in assembly: {assembly}. .NET 6 will only support a single AppDomain, so this API will no longer be available in Xamarin.Android once .NET 6 is released.
```

_Note: this error maps to [`XA2000`](xa2000.md]) in Xamarin.Android._

## Solution

Transition code away from `AppDomain.CreateDomain()` to a different API, such as [`AssemblyLoadContext`][unloadability].

[unloadability]: https://docs.microsoft.com/dotnet/standard/assembly/unloadability
