---
title: Xamarin.Android warning XA0110
description: XA0110 warning code
ms.date: 05/25/2018
---
# Xamarin.Android warning XA0110

## Issue

This warning is raised because your project is set up to use `$(AndroidExplicitCrunch)`.
This setting in incompatible with the Android `aapt2` resource processor.
The `aapt2` processor is enabled/disabled via the `$(AndroidUseAapt2)` MSBuild property.

## Solution

If you wish to continue to use `$(AndroidExplicitCrunch)`, you will need to disable
`aapt2` processing by adding the following to your project file:

```xml
<AndroidUseAapt2>False</AndroidUseAapt2>
```

Alternatively, provide the property on the command line via

```
/p:AndroidUseAapt2=False
```

You can also disable `$(AndroidExplicitCrunch)` in a similar manner.
