---
title: Xamarin.Android error XA0111
description: XA0111 error code
ms.date: 10/02/2020
---
# Xamarin.Android warning XA0111

## Issue

Xamarin.Android could not get the AAPT2 version via the command:

```
aapt2 -version
```

`aapt2` did not return an expected value.

## Solution

Check for any `<Aapt2ToolPath>` elements in the _.csproj_ file and
remove them. Xamarin.Android redistributes its own recommended version
of AAPT2, so setting a custom value for the `Aapt2ToolPath` MSBuild
property is generally not recommended. Alternatively, try re-installing
the Xamarin workload in Visual Studio.

AAPT is part of the Android SDK and is used internally by
Xamarin.Android to process and compile resources into binary assets.
Learn more about AAPT and Android resources from the [Android
documentation][aapt].

AAPT2 is version 2.0 of AAPT. Learn more about AAPT2 from the
[Android documentation][aapt2].

[aapt]: https://developer.android.com/guide/topics/resources/accessing-resources.html
[aapt2]: https://developer.android.com/studio/command-line/aapt2
