title: Xamarin.Android error XA0134
description: XA0134 error code
ms.date: 04/22/2021
---
# Xamarin.Android error XA0134

## Issue

The application does not have the 'android:debuggable' attribute set in the 'AndroidManifest.xml'.
This is required in order for Fast Deployment to work. This is normally enabled by default by
the Xamarin.Android build system for Debug builds.

## Solution

Please check that you to not have the 'android:debuggable' attribute set on the 'application' element in your 'AndroidManifest.xml'.
If you have a class that derives from 'Android.App.Application' and are using the '[Application]' make sure the
'Debuggable' property is not set at all as it will override the value for debug builds.
If neither of these solutions work please raise an issue at [https://github.com/xamarin/xamarin-android/issues/new/choose](https://github.com/xamarin/xamarin-android/issues/new/choose).
