---
title: Xamarin.Android warning XA2000
description: XA2000 warning code
ms.date: 3/30/2022
---
# Xamarin.Android warning XA2000

A feature used by your Android app will disappear in a future .NET release.

## Example messages

```
Use of AppDomain.CreateDomain() detected in assembly: {assembly}. .NET 6 will only support a single AppDomain, so this API will no longer be available in Xamarin.Android once .NET 6 is released.
```

_Note: this error maps to [`IL6200`](il6200.md]) in .NET 6 and higher._


```
Support for the 'MONO_GC_PARAMS=bridge-implementation=old' value will be removed in .NET 7.
```

## Solution

Migrate away from the feature being removed.

Transition code away from `AppDomain.CreateDomain()` to a different API, such as [`AssemblyLoadContext`][unloadability].

Transition code away from `MONO_GC_PARAMS=bridge-implementation=old`.

[unloadability]: https://docs.microsoft.com/dotnet/standard/assembly/unloadability
